<!DOCTYPE html>
<html>
<head>
	<title>Obtener src de audio de página web</title>
	<meta charset="utf-8">
</head>
<body>
	<form onsubmit="obtenerLink(event)">
		<label for="url">Ingresa la URL de la página web:</label><br>
		<input type="text" id="url" name="url" required><br>
		<button type="submit">Obtener link</button>
	</form>
	<p id="resultado"></p>
	<script>
		function obtenerLink(event) {
			event.preventDefault();
			const url = document.getElementById("url").value;
			fetch(`https://cors-anywhere.herokuapp.com/${url}`, {mode: 'cors'})
				.then(response => response.text())
				.then(html => {
					const parser = new DOMParser();
					const doc = parser.parseFromString(html, "text/html");
					const section = doc.querySelector(".latest_program");
					const link = section.querySelector("a");
					const urlLink = `https://www.twr360.org${link.getAttribute("href")}`;
					fetch(`https://cors-anywhere.herokuapp.com/${urlLink}`, {mode: 'cors'})
						.then(response => response.text())
						.then(audioHtml => {
							const audioTagRegex = /<audio[^>]*id="audio_player_html5_api"[^>]*>/;
							const srcRegex = /src="([^"]+)"/;
							const audioTagMatch = audioHtml.match(audioTagRegex);
							if (audioTagMatch) {
								const srcMatch = audioTagMatch[0].match(srcRegex);
								if (srcMatch) {
									const src = srcMatch[1];
									document.getElementById("resultado").textContent = `El link del audio es: ${src}`;
								} else {
									document.getElementById("resultado").textContent = "No se encontró el valor de src";
								}
							} else {
								document.getElementById("resultado").textContent = "No se encontró el elemento audio con id audio_player_html5_api";
							}
						})
						.catch(error => {
							console.error(error);
							document.getElementById("resultado").textContent = "Error al obtener el HTML de la página del audio";
						});
				})
				.catch(error => {
					console.error(error);
					document.getElementById("resultado").textContent = "Error al obtener el HTML de la página";
				});
		}
	</script>
</body>
</html>
